<template>
  <q-page class="flex flex-center">
    <h1>Natural Date</h1>
    #<natural-date date="15.01.2022 13:22:11" />#
    <!-- Example with wrapping only one DOM element / component -->
    <br>
    <div id="demo">
      <button v-on:click="show = !show">
        Toggle
      </button>
      <transition name="fade">
        <p v-if="show">hello</p>
      </transition>
    </div>
  </q-page>
</template>

<script>
import { defineComponent } from "vue";

export default defineComponent({
  name: "PageIndex",
  data()
  {
    return {
      show: true
    };
  },

});
</script>

<style lang="scss">

.fade-enter-active, .fade-leave-active {
  transition: opacity 1.5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}

</style>